class_name Room extends Node2D


@export var config: RoomConfig

@onready var camera: RoomCamera = $RoomCamera
@onready var director: StateMachine = $RoomDirector

# TODO: better alternative to preloading as i add functionality?
# https://theduriel.github.io/Godot/Do-not-use---Preload
var player_scene: PackedScene = preload("uid://cqm5besqgsb7x")
var initial_spawn: Vector2i = Vector2i.ZERO

var player: Player


func _ready() -> void:
	assert(config != null, "room config is null")
